automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Patch: RFA: new option


From: Tom Tromey
Subject: Re: Patch: RFA: new option
Date: 04 Aug 2003 21:31:55 -0600
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.3.50

>>>>> "Tom" == Tom Tromey <address@hidden> writes:

Tom> Ok, thanks.  I'll send an updated patch a bit later.

What do you think of this?

I'd like to get this in 1.7.7 so that we can start using it in gcc.
We're also looking forward to the post-1.7.6 multilib bug fixes.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>

        * NEWS: Update.
        * automake.texi (Options): Document no-dist.
        * automake.in (process_option_list): Recognize no-dist.
        (check_cygnus): Set no-dist option.
        (handle_dist): Recognize no-dist.
        * tests/nodist3.test: New file.

Index: NEWS
===================================================================
RCS file: /cvs/automake/automake/NEWS,v
retrieving revision 1.221
diff -u -r1.221 NEWS
--- NEWS 27 Jul 2003 12:58:38 -0000 1.221
+++ NEWS 5 Aug 2003 03:36:00 -0000
@@ -73,6 +73,8 @@
 
   - New option no-dist-gzip.
 
+  - New option no-dist.
+
   - install-sh now understands --version and --help.
 
   - Automake will now recognize AC_CONFIG_LINKS so far as removing created
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1492
diff -u -r1.1492 automake.in
--- automake.in 3 Aug 2003 21:17:32 -0000 1.1492
+++ automake.in 5 Aug 2003 03:36:02 -0000
@@ -1186,7 +1186,7 @@
       elsif ($_ eq 'no-installman' || $_ eq 'no-installinfo'
             || $_ eq 'dist-shar' || $_ eq 'dist-zip'
             || $_ eq 'dist-tarZ' || $_ eq 'dist-bzip2'
-            || $_ eq 'no-dist-gzip'
+            || $_ eq 'no-dist-gzip' || $_ eq 'no-dist'
             || $_ eq 'dejagnu' || $_ eq 'no-texinfo.tex'
             || $_ eq 'readme-alpha' || $_ eq 'check-news'
             || $_ eq 'subdir-objects' || $_ eq 'nostdinc'
@@ -3335,9 +3335,7 @@
 {
   my ($makefile) = @_;
 
-  # `make dist' isn't used in a Cygnus-style tree.
-  # Omit the rules so that people don't try to use them.
-  return if $options{'cygnus'};
+  return if $options{'no-dist'};
 
   # At least one of the archive formats must be enabled.
   if ($relative_dir eq '.')
@@ -4754,6 +4752,7 @@
   &set_strictness ('foreign');
   $options{'no-installinfo'} = $options{'cygnus'};
   $options{'no-dependencies'} = $options{'cygnus'};
+  $options{'no-dist'} = $options{'cygnus'};
 
   err_ac "`AM_MAINTAINER_MODE' required when --cygnus specified"
     if !$seen_maint_mode;
Index: automake.texi
===================================================================
RCS file: /cvs/automake/automake/automake.texi,v
retrieving revision 1.348
diff -u -r1.348 automake.texi
--- automake.texi 31 Jul 2003 20:27:59 -0000 1.348
+++ automake.texi 5 Aug 2003 03:36:05 -0000
@@ -5265,6 +5265,11 @@
 to make automatic dependency tracking work @xref{Dependencies}.  In this
 case the effect is to effectively disable automatic dependency tracking.
 
address@hidden @code{no-dist}
address@hidden Option, no-dist
+Don't emit any code related to @code{dist} target.  This is useful
+when a package has its own method for making distributions.
+
 @item @code{no-dist-gzip}
 @cindex Option, no-dist-gzip
 Do not hook @code{dist-gzip} to @code{dist}.
Index: tests/nodist3.test
===================================================================
RCS file: tests/nodist3.test
diff -N tests/nodist3.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/nodist3.test 5 Aug 2003 03:36:05 -0000
@@ -0,0 +1,40 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure no-dist option works.
+
+. ./defs || exit 1
+
+echo AC_PROG_CC >> configure.in
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = no-dist
+bin_PROGRAMS = eyeball
+eyeball_SOURCES = a.c
+END
+
+: > a.c
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+
+grep '^dist:' Makefile.in
+
+exit 0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]